com.sun.jna.platform

## Class KeyboardUtils

- java.lang.Object
- - com.sun.jna.platform.KeyboardUtils

-     public class KeyboardUtils
      extends java.lang.Object

  Provide access to the local keyboard state. Note that this is meaningless on a headless system and some VNC setups.
  Author:
    twall

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static com.sun.jna.platform.KeyboardUtils.NativeKeyboardUtils` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyboardUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isPressed(int keycode)`
    `static boolean` | `isPressed(int keycode, int location)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          static final com.sun.jna.platform.KeyboardUtils.NativeKeyboardUtils INSTANCE

  - ### Constructor Detail

    - #### KeyboardUtils

          public KeyboardUtils()

  - ### Method Detail

    - #### isPressed

          public static boolean isPressed(int keycode,
                                          int location)

    - #### isPressed

          public static boolean isPressed(int keycode)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.